/***************************************************************************
                        dlgjabberstatus.cpp  -  Jabber status dialog
                             -------------------
    begin                : Fri Apr 12 2002
    copyright            : (C) 2002 by Daniel Stone, Till Gerken,
                           Kopete Development team
    email                : dstone@kde.org, till@tantalo.net
 ***************************************************************************

 ***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qlabel.h>
#include <qpushbutton.h>

#include <kdebug.h>
#include <klocale.h>
#include <kcombobox.h>

#include "kopeteaway.h"
#include "dlgjabberstatus.h"
#include "dlgstatus.h"
#include "jabberaccount.h"

dlgJabberStatus::dlgJabberStatus( JabberAccount *owner, const KopeteOnlineStatus &status, QWidget *parent, const char *name )
: dlgStatus( parent, name )
{

	plugin = owner;

	connect(btnFinish, SIGNAL(clicked()), this, SLOT(slotFinish()));
	connect(btnCancel, SIGNAL(clicked()), this, SLOT(slotCancel()));

	mStatus = status;
	lblRealStatus->setText( status.description() );
	if( status == owner->JabberAway )
		leReason->setText( i18n( "I'm away; back in a bit." ) );
	else if( status == owner->JabberXA )
		leReason->setText( i18n( "Sorry, stepped out for a bit. Be back later." ) );
	else if( status == owner->JabberDND )
		leReason->setText( i18n( "Sorry, I'm busy right now." ) );
	else if( status == owner->JabberOnline )
		leReason->setText( i18n( "Talk to me if you want." ) );

	cbAway->insertStringList(KopeteAway::getInstance()->getTitles());

	connect(cbAway, SIGNAL(activated(const QString &)), this, SLOT(slotChangeReason(const QString &)));

	show();

}

dlgJabberStatus::~dlgJabberStatus()
{

}

void dlgJabberStatus::slotChangeReason(const QString &title)
{

	leReason->setText(KopeteAway::getInstance()->getMessage(title));

}

void dlgJabberStatus::slotFinish()
{
	// this is a hack, gcc didn't want to compile without this
	// temporary copy
	QString blah = leReason->text();

	//plugin->setPresence( mStatus, blah );
	hide();

}

void dlgJabberStatus::slotCancel()
{

	hide();

}

#include "dlgjabberstatus.moc"
/*
 * Local variables:
 * c-indentation-style: k&r
 * c-basic-offset: 8
 * indent-tabs-mode: t
 * End:
 */
// vim: set noet ts=4 sts=4 sw=4:

