/*
oscarpreferences.h  -  Oscar Protocol Plugin

Copyright (c) 2002 by Tom Linsky <twl6@po.cwru.edu>

Kopete    (c) 2002 by the Kopete developers  <kopete-devel@kde.org>

*************************************************************************
*                                                                       *
* This program is free software; you can redistribute it and/or modify  *
* it under the terms of the GNU General Public License as published by  *
* the Free Software Foundation; either version 2 of the License, or     *
* (at your option) any later version.                                   *
*                                                                       *
*************************************************************************
*/

#ifndef OSCARPREFERENCES_H
#define OSCARPREFERENCES_H

#include <configmodule.h>
#include <kconfig.h>

class OscarPrefsWidget;

class OscarPreferences : public ConfigModule
{
	Q_OBJECT

	public:
		OscarPreferences (const QString &pixmap, QObject *parent = 0);
		virtual ~OscarPreferences();

		/** Returns true if we should log all conversations */
		bool logAll() const;
		/** Returns true if we should report idle time to server, false otherwise */
		bool reportIdle() const;
		/** Amount of time we should wait before reporting idle time to server */
		int idleTimeout() const;

		virtual void save();

		/** Loads configuration from the last one saved to disk */
		void load();

	signals:
		void saved();

	private:
		OscarPrefsWidget *mPreferencesWidget;
		KConfig *mConfig;
};

#endif
