/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SMSEDITACCOUNTWIDGET_H
#define SMSEDITACCOUNTWIDGET_H

#include <qwidget.h>
#include "editaccountwidget.h"

class SMSService;
class smsPrefsUI;
class KopeteAccount;

class SMSEditAccountWidget : public QWidget, public EditAccountWidget
{
	Q_OBJECT
public:
	SMSEditAccountWidget(KopeteAccount *account, QWidget *parent);
	~SMSEditAccountWidget();

	bool validateData();
	KopeteAccount* apply();
public slots:
	void setServicePreferences(const QString& serviceName);
	void showDescription();
protected:
	smsPrefsUI *preferencesDialog;
	QWidget *configWidget;
	SMSService *service;

signals:
	void saved();
};

#endif



/*
 * Local variables:
 * c-indentation-style: k&r
 * c-basic-offset: 8
 * indent-tabs-mode: t
 * End:
 */
// vim: set noet ts=4 sts=4 sw=4:

